@charset "UTF-8";

/********************************************************
■ Header : 헤더 - 기본
********************************************************/
:root {
	--top-height:160px; /* top 전체높이 */
    --top-menu-height:50px; /* 메뉴높이 */
}

#top { position: fixed; left:0; right:0; top:0; height:var(--top-height); backdrop-filter: blur(2px); transition-duration:400ms; --top-txt-color:#fff; --top-img-color:grayscale(1) invert(1) brightness(100); z-index:100; }
.scrolled #top { background:#fff; top:calc(-1 * (var(--top-height) - var(--top-menu-height))); --top-txt-color:#111; --top-img-color:none; }
.scroll-up { --top-height:120px; }
.scroll-up #top { box-shadow:5px 0 10px #aaa; top:0; }

#top .top-wrap { position:relative; padding:0 var(--top-padding); height:calc(var(--top-height) - var(--top-menu-height)); display:flex; align-items:center; justify-content: space-between; z-index:3;  }

#top .top-wrap .left a { display:flex; align-items: center; font-weight:600; font-size:.875rem; color:#fff;}
#top .top-wrap .left i { width:var(--top-link-box); height:var(--top-link-box); border:1px solid #fff; display: flex; align-items: center; justify-content: center; font-size:.875rem; margin-right:10px; transition-duration: .2s; color:#fff;padding: 10px;}
#top .top-wrap .left .arrow { position:relative; width:14px; margin-left:10px; animation:transform .2s ease; transform: translateX(0); }
#top .top-wrap .left .arrow:before,
#top .top-wrap .left .arrow:after { content: ""; position: absolute; height:1px; background:#fff; }
#top .top-wrap .left .arrow:before { left:0; top:50%; right:0; }
#top .top-wrap .left .arrow:after { right:0; top:50%; width:6px; transform: rotate(40deg); margin-top:-2px; }

#top .top-wrap .left a:hover i { background:#fff; color:#111; }
#top .top-wrap .left a:hover .arrow { animation: moveArrow .2s linear alternate 2; }

@keyframes moveArrow {
	from { margin-left:10px; }
	to { margin-left:20px; }
}



#top .top-wrap .logo { position:absolute; left:50%; top:50%; width:200px; height:50px; transform:translate(-50%, -50%); transition-duration: 200ms; z-index:9; }
#theme_wrapper:not(.is-subpage):not(.is-shop) #top .top-wrap .logo { opacity:0; }
.load-on #theme_wrapper:not(.is-subpage):not(.is-shop) #top .top-wrap .logo { opacity:1; transition-delay: 5s; }

#top .top-wrap .logo img { width:100%; height:100%; object-fit: contain; filter:var(--top-img-color); }


#top .top-wrap .right { position:relative; display: flex; align-items: center; color:var(--top-txt-color); transition-duration:200ms; }
#top .top-wrap .right section { position: relative; margin-right: 20px; padding:20px 0; }
#top .top-wrap .right section:hover { z-index:3; }
#top .top-wrap .right section span[class*="-btn"] { display:block; width:20px; height:20px; background:none no-repeat center/contain; cursor:pointer; filter: var(--top-img-color); }

#top .top-wrap .right .call { display: flex; align-items: center; }
#top .top-wrap .right .call i { font-size:1.125rem; margin-right:10px; }
#top .top-wrap .right .call strong { font-size: 1.5rem; }


#top .top-wrap .right .top-search .search-btn { background-image:url('../img/top-icon-search.png'); }
#top .top-wrap .right .langs .lang-btn { background-image:url('../img/top-icon-language.png'); }
#top .top-wrap .right .langs .sub { width:110px; text-align: left !important; }
#top .top-wrap .right .langs .sub img { width:20px; border:1px solid #ddd; border-radius:3px; }
#top .top-wrap .right .links .member-btn { background-image:url('../img/top-icon-login.png'); }
#top .top-wrap .right .sns .sns-btn { background-image:url('../img/top-icon-sns.png'); }


#top .top-wrap .right .sns .sub a { position:relative; text-align:left; transition:all 400ms, opacity 400ms var(--sns-delay); width:110px; display:block; padding:5px 0 5px 35px; z-index:1; }
#top .top-wrap .right .sns .sub a:before,
#top .top-wrap .right .sns .sub a:after { content:""; position:absolute; left:0; top:calc(50% - 15px); width:30px; height:30px; border-radius:99px; }
#top .top-wrap .right .sns .sub a:before { z-index:-1; }
#top .top-wrap .right .sns .sub a:after { background:none no-repeat center/22px; opacity:.8; filter:brightness(0); }


#top .top-wrap .right .sns .sub a.kakao:after { background-image:url('../img/sns_icon_kakao_gray.png'); }
#top .top-wrap .right .sns .sub a.instagram:after { background-image:url('../img/sns_icon_instagram_gray.png'); }
#top .top-wrap .right .sns .sub a.naver:after { background-image:url('../img/sns_icon_naver_gray.png'); }
#top .top-wrap .right .sns .sub a.facebook:after { background-image:url('../img/sns_icon_facebook_gray.png'); }
#top .top-wrap .right .sns .sub a.youtube:after { background-image:url('../img/sns_icon_youtube_gray.png'); }
#top .top-wrap .right .sns .sub a.twiter:after { background-image:url('../img/sns_icon_twiter_gray.png'); }

#top .top-wrap .right .sns .sub a:hover { color:#333; }
#top .top-wrap .right .sns .sub a.kakao:hover:before { background:var(--kakao-color); }
#top .top-wrap .right .sns .sub a.instagram:hover:before { background:var(--instagram-color); }
#top .top-wrap .right .sns .sub a.naver:hover:before { background:var(--naver-color); }
#top .top-wrap .right .sns .sub a.facebook:hover:before { background:var(--facebook-color); }
#top .top-wrap .right .sns .sub a.youtube:hover:before { background:var(--youtube-color); }
#top .top-wrap .right .sns .sub a.twiter:hover:before { background:var(--twiter-color); }
#top .top-wrap .right .sns .sub a:hover:after { opacity:1; }
#top .top-wrap .right .sns .sub a:not(.kakao):hover:after { filter:brightness(0) invert(1); }


#top .top-wrap .right .sns:hover .sub a { opacity:1; }
#top .top-wrap .right .sns:hover .sub a:nth-child(1) { --sns-delay:100ms; }
#top .top-wrap .right .sns:hover .sub a:nth-child(2) { --sns-delay:200ms; }
#top .top-wrap .right .sns:hover .sub a:nth-child(3) { --sns-delay:300ms; }
#top .top-wrap .right .sns:hover .sub a:nth-child(4) { --sns-delay:400ms; }
#top .top-wrap .right .sns:hover .sub a:nth-child(5) { --sns-delay:500ms; }
#top .top-wrap .right .sns:hover .sub a:nth-child(6) { --sns-delay:600ms; }


#top .top-wrap .top-search-box { align-items: center; display: flex; height: 100%; justify-content: center; }
#top .top-wrap .top-search-box form { border: 1px solid #fff; display: flex; align-items:center; padding: 7px 8px 8px; width: 300px; }
#top .top-wrap .top-search-box form .searchbox { background: transparent; border: 0; flex: 1; }
#top .top-wrap .top-search-box form .searchbox::placeholder { color: #ddd; }
#top .top-wrap .top-search-box form .searchbox:focus { outline: none; }
#top .top-wrap .top-search-box form button { background: transparent; border: 0; color:var(--main-color2); flex: 0 0 25px; margin-left: 5px; }
#top .top-wrap .top-search-box form button:focus { outline: none; }
#top .top-wrap .top-search-box form .x-close { color:#444; font-size:1.8rem; margin-left:5px; cursor:pointer; }




#top .top-wrap .right section .sub { position:absolute; top:100%; left:50%; transform:translateX(-50%); padding:0 25px; background:#fff; color:#111; border-radius:10px; border:1px solid transparent; opacity:0; visibility:hidden; max-height:0; transition-duration:300ms; }
#top .top-wrap .right section:hover .sub,
#top .top-wrap .right section .sub:hover { max-height:300px; padding:15px 25px; border-color:#ddd; opacity:1; visibility:visible; transition-duration:600ms; }

#top .top-wrap .right section .sub:before { content:""; position:absolute; bottom:calc(100% - 10px); left:50%; transform:translateX(-50%) rotate(45deg); width:20px; height:20px; border-radius:5px 0 0 0; background:#fff; border-left:1px solid #ddd; border-top:1px solid #ddd; }
#top .top-wrap .right section .sub a { display:block; padding:2.5px 0; text-align:center; opacity:0; font-size:.875rem; font-weight:500; transition-duration:400ms; }
#top .top-wrap .right section:hover .sub a { opacity:1; }



/* 상단 우측 메뉴버튼 */
#top .top-menu-btn { width:24px; height:30px; display:flex; justify-content:center; align-items: flex-end; flex-direction: column; cursor:pointer; }
#top .top-menu-btn div { background:var(--top-txt-color); width:100%; height:2px; border-radius:2px; transition-duration:400ms; }
#top .top-menu-btn div:nth-child(2) { margin:6px 0; }

#top .top-menu-btn:hover div { width:70%; }
#top .top-menu-btn:hover div:nth-child(2) { width:100%; }





@media (max-width: 1024px) {
    :root {
		--top-height:115px;
    }

	#top .top-wrap { padding:0 var(--top-padding); }
	#top .top-wrap .logo { top:50%; height:40px; }
	#top .top-wrap .left{display: none;}

    #top .top-wrap .call i { font-size:1rem; }
    #top .top-wrap .call strong { font-size: 1.375rem; }

    #top .top-wrap .right section { margin-right:15px; }

	#top .top-wrap .sns { --sns-size:25px; }
	#top .top-wrap .sns a:after { background-size:19px; }

    #top .top-menu-btn div:nth-child(2) { margin:5px 0; }

}


@media (max-width: 767px) {
    :root {
        --top-height:90px;
        --top-menu-height:34px;
        --top-link-box:26px;
    }
    #top .top-wrap { justify-content:flex-end; }
    #top .top-wrap .call { display:none; }

    #top .top-wrap .logo { height:36px; }

    #top .top-wrap .right { width:100%; }
	#top .top-wrap .right section { margin-right:7px; padding:15px 0; }
    #top .top-wrap .right section span[class*="-btn"] { width:18px; height:18px; }

    #top .top-wrap .right section .sub { padding:0 5px; }
    #top .top-wrap .right section:hover .sub,
    #top .top-wrap .right section .sub:hover { padding:7px 5px; }
    #top .top-wrap .right section .sub a { font-size:.75rem; }

    #top .top-wrap .right .sns { display:none; }
    #top .top-wrap .right .langs .sub { width:65px; }
    #top .top-wrap .right .langs .sub img { width:16px; }

	#top .top-wrap .right .top-search .sub { position:fixed; left:0; top:0; right:0; transform:translateX(0); padding:10px 15px; z-index:999; border-bottom:1px solid #ddd; border-radius:0; transition-duration:600ms; }
	#top .top-wrap .right .top-search .sub:before { display:none; }

	#top .top-wrap .right .top-search:hover .sub,
	#top .top-wrap .right .top-search .sub:hover { max-height:0; opacity:0; visibility:hidden; }

	#top .top-wrap .top-search-box { opacity:0; }
	#top .top-wrap .top-search-box form { width:100%; }
    #top .top-wrap .top-search-box form .searchbox { height:40px; }
	#top .top-wrap .top-search-box form .btn { display:flex; justify-content:center; align-items:center; }
	#top .top-wrap .top-search-box form .btn i { line-height:0; }

	.on-searchbox #top .top-wrap .right .top-search .sub { max-height:var(--top-height); height:100%; opacity:1; visibility:visible; }
	.on-searchbox #top .top-wrap .top-search-box { opacity:1; transition-duration:300ms; }


    #top .top-menu-btn { width:18px; height:26px; margin-left:auto; }
    #top .top-menu-btn div:nth-child(2) { margin:4px 0; }
}

/********************************************************
■ Menu : 데스크톱 메뉴
********************************************************/
#menu { position:relative; display: flex; align-items:center; }
#menu:before { content:""; position:absolute; left:50%; top:0; bottom:0; transform:translateX(-50%); width:100vw; border-bottom:1px solid #fff; opacity:.2; z-index:-1; }

#menu .nav { display:none; }
#menu .swiper { overflow:visible; }
#menu .swiper .li { width:auto !important; }
#menu .swiper .li:hover { z-index:9; }
#menu .swiper .li .a { padding:0 30px; font-weight: 600; color:var(--top-txt-color); height:var(--top-menu-height); z-index:2; }
#menu .swiper:hover .li .a { display:block; color:#aaa; }
#menu .swiper:hover .li:hover .a { color:#000; }
#menu .swiper .li .a span { position:relative; height:100%; display:flex; justify-content:center; align-items:center; }
#menu .swiper .li .a span:before { content:""; position:absolute; left:50%; bottom:0; width:0; height:3px; background:var(--main-color1); transform: translateX(-50%); transition-duration: .2s; }
#menu .swiper .li:hover .a span,
#menu .swiper .li.on .a span { color:var(--main-color1); }
#menu .swiper .li:hover .a span:before,
#menu .swiper .li.on .a span:before { width:100%; }

#menu .swiper .li a { display:block; }

#menu .sub-wrap { position: absolute; opacity:0; visibility:hidden; min-width:150px; transition-duration:500ms; }
#menu .sub-wrap .sub-a { position: relative; white-space: nowrap; padding: 7px 15px; font-size:.875rem; border-bottom:1px solid rgba(255,255,255,.15); }
#menu .sub-wrap .sub-a:before { content:""; position:absolute; left:0; top:0; right:0; bottom:-1px; transition-duration: inherit; opacity:0; z-index:-1; }
#menu .sub-wrap > li:hover > .sub-a:before { filter:brightness(0.8); opacity:1; }
#menu li:hover > .sub-wrap { opacity:1; visibility:visible; }

#menu .depth2 { top:100%; left:50%; transform:translateX(-50%); background:var(--main-color1); }
#menu .depth2 > li { position:relative; }
#menu .depth2 > li > .sub-a { color: #fff; }
#menu .depth2 > li > .sub-a:before { background:var(--main-color1); }

body.scrolled #menu .depth2 { margin-top:40px; }
body.scrolled #menu .swiper .li:hover .depth2 { margin-top:0; }


#menu .depth3 { left:calc(100% + 5px); top:-15px; min-width:120px; padding:15px; background:var(--main-color3); }
#menu .depth3 li { padding:5px; cursor:pointer; }
#menu .depth3 .sub-a { display:inline-block; font-size:1rem; color:#fff; border-bottom:1px solid transparent; opacity:.7; }
#menu .depth3 li .sub-a:before { background:var(--main-color3); }
#menu li:hover > .depth3 { top:0; }
#menu .depth3 li:hover .sub-a { opacity:1; border-color:#fff; }


@media (max-width: 1200px) {
	#menu .swiper-wrapper { justify-content: space-between; }

	#menu .swiper .li { margin:0 10px; }
	#menu .swiper .li .a { padding:0 15px; }
}

@media (max-width: 1024px) {
	#menu .nav { display:block; margin:0 10px; cursor:pointer; color:var(--top-txt-color); }
	#menu .nav.swiper-button-disabled { opacity:.5; }

	#menu .swiper { width:auto; overflow:hidden; }
	#menu .swiper .swiper-wrapper { justify-content: normal; }

    #menu .swiper .li.on .a span:before { bottom:100%; height:2px; }

    #menu:after,
	#menu .sub-wrap { display:none; }
}


@media (max-width: 767px) {
    #menu { padding:0; }
	#menu .swiper .li { margin:0 5px; }
	#menu .swiper .li .a { font-size:.875rem; padding:0 10px; }
}
